## org.apache.tools.ant.taskdefs.optional.javah
Class Kaffeh

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.optional.javah.Kaffeh

All Implemented Interfaces:
  JavahAdapter

public class Kaffeh
extends java.lang.Object
implements JavahAdapter

Adapter to the native kaffeh compiler.

Since:
  Ant 1.6.3

Field Summary
`static java.lang.String` `IMPLEMENTATION_NAME`

Constructor Summary
`Kaffeh()`

Method Summary
`boolean` `compile(Javah javah)` Performs the actual compilation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IMPLEMENTATION_NAME

    public static final java.lang.String IMPLEMENTATION_NAME

See Also:
  Constant Field Values

Constructor Detail

### Kaffeh

    public Kaffeh()

Method Detail

### compile

    public boolean compile(Javah javah)
                    throws BuildException

  Performs the actual compilation.

  Specified by:
    `compile` in interface `JavahAdapter`
    `BuildException`
  Since:
    Ant 1.6.3

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.